package pg.android.kernel;

import java.util.ArrayList;

/**
 * Kontainer fr ausgelesene Sensoren/Aktoren
 */
public class DeviceContainer {
	private static ArrayList<Device> devices = new ArrayList<Device>();
	
	private DeviceContainer (){}

	/**
	 * Fgt neuen Sensor/Aktor hinzu
	 * @param device neuer Sensor/Aktor
	 */
	public static void add (Device device){
		devices.add(device);
	}
	
	/**
	 * Gibt alle Sensoren/Aktoren zurck
	 * @return alle Sensoren/Aktoren
	 */
	public static ArrayList<Device> getAll() {
		return devices;
	}
	
	/**
	 * Gibt einen bestimmten Sensor/Aktor zurck
	 * @param index nummer des Sensors/Aktors
	 * @return gewnschter Sensor/Aktor
	 */
	public static Device get (int index){
		if (devices.isEmpty())
			return null;
		
		return devices.get(index);
	}
	
	public static int size(){
		return devices.size();
	}
}
